<template>
  <div v-if="payment" class="payment">
    <div v-for="(item, index) in payment" :key="index" class="payment__row">
      <div>
        <div class="payment__top">{{ $t('events.payment') }}</div>
        <div class="payment__content">{{ useTranslate(item.payment_type) }}</div>
      </div>
      <div
        v-if="item.payment_type !== 'DONATION' && item.payment_type !== 'FREE'"
      >
        <div class="payment__top">{{ $t('events.price') }}</div>
        <div class="payment__content">{{ item.price }}$</div>
      </div>
    </div>
  </div>
</template>
<script lang="ts">
import { defineComponent } from '@nuxtjs/composition-api'
import useTranslate from '~/hooks/get-translate'
export default defineComponent<{
  payment: Object
}>({
  name: 'PaymentEvent',
  props: ['payment'],
  setup() {
    return {
      useTranslate
    }
  }
})
</script>

<style lang="scss" scoped>
.payment {
  background: #272c3b;
  border-radius: 10px;
  padding: 25px 30px;
  &__row {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    margin-bottom: 15px;
    &:last-child {
      margin-bottom: 0px;
    }
  }
  > div {
    > div {
      padding-right: 40px;
      flex: none;

      @media (min-width: 1199.98px) {
        padding-right: 40px;
      }

      &:last-child {
        padding-right: 0px;
      }
    }
  }

  &__top {
    font-weight: bold;
    font-size: 14px;
    line-height: 18px;
    letter-spacing: 0.8px;
    color: #7683ad;
    text-transform: uppercase;
    margin-bottom: 3px;

    @media (min-width: 1199.98px) {
      font-size: 16px;
      line-height: 20px;
      margin-bottom: 5px;
    }
  }

  &__content {
    font-size: 24px;
    line-height: 30px;
    letter-spacing: 0px;
    color: #ffffff;

    @media (min-width: 1199.98px) {
      font-size: 30px;
      line-height: 36px;
    }
  }
}
</style>
